import React from 'react';
import { Menu } from 'antd';
import { Link } from 'react-router-dom';

export default (props) => {
  const { items, location } = props;

  const menus = React.useMemo(() => {
    const homeIndex = {
      key: '/',
      label: <Link to='/'>首页</Link>,
      title: '首页',
    }

    return [homeIndex].concat(items);
  }, [items]);
  
  const selectedKeys = React.useMemo(() => `/${location.pathname.split('/')[1]}`, [location.pathname]);

  return (
    <Menu className='split-menu' mode="horizontal" items={menus} selectedKeys={selectedKeys} />
  )
}
