import { getBannerdById } from "@/services/rotationChart";
import { useNavigate, useSearchParams } from "react-router-dom";
import { Card, Button } from "antd";
import { useEffect, useState } from "react";

export default (props) => {
  const [searchParams] = useSearchParams();
  const id = searchParams.get("id");
  const [data, setData] = useState({});

  const navigate = useNavigate();

  useEffect(() => {
    if (id) {
      getBannerdById(id).then((res) => {
        setData(res);
      });
    }
  }, [id]);

  return (
    <Card title={<Button onClick={() => navigate(-1)}> 返回</Button>}>
      <div dangerouslySetInnerHTML={{ __html: data?.desc }}></div>
      {data?.type === "1" && data?.image && (
        <img src={data?.image} alt="" style={{ width: "100%" }}></img>
      )}
      {data?.type === "2" && data?.video && (
        <video
          src={data?.video}
          autoPlay={false}
          controls="controls"
          style={{ width: "100%" }}
        ></video>
      )}
    </Card>
  );
};
