import request, { restful } from '@/utils/request';

/**
 * 获取当前人员
 * 
 * silent: true 代表不显示错误
 * 
 * @param {*} 
 * @returns
 */
 export const queryCurrentUser = () => request('/users/current', { silent: true,successTip:false });

 /**
  * 登录
  * @param {*} 
  * @returns
  */
  export const login = (data) => request('/login', { data, method: 'post' });
  
 /**
  * 登出
  * @param {*} 
  * @returns
  */
  export const logout = () => request.post('/logout', { silent: true });
  
 /**
  * 修改密码
  * @param {*} 
  * @returns
  */
  export const changePassword = (data) => request.put('/change-password', data, { successTip: '密码修改成功' });


  const [
    getUserList,
    getUser,
    saveUser,
    updateUser,
    deleteUser,
   ] = restful('/users');

  export {
    getUserList,
    getUser,
    saveUser,
    updateUser,
    deleteUser,
  }

  /**
   * 更新用户状态
   * @param {*} id 
   * @param {*} status 
   * @returns 
   */
  export const updateUserStatus = (id, status) => request.put(`/users/${id}/status?status=${status}`);
